#include <stdlib.h>
#include <assert.h>
#include <math.h>
#include <stdio.h>

double mysqrt(double x)
{
  /* Przyklad weryfikacji warunku */
  assert(x >= 0);
  return sqrt(x);
}

int main()
{
  double value = -1.0;
  printf("mysqrt zwraca %g\n", mysqrt(value));
  exit(EXIT_SUCCESS);
}
